# cpl_core.pipes package

## Submodules

## cpl_core.pipes.bool_pipe module

class cpl_core.pipes.bool_pipe.BoolPipe

  Bases: `PipeABC`

  transform(value: bool, *args)

## cpl_core.pipes.first_char_to_lower_pipe module

class cpl_core.pipes.first_char_to_lower_pipe.FirstCharToLowerPipe

  Bases: `PipeABC`

  transform(value: any, *args)

    Converts first char to lower

    Parameter:
      value: `str`

        String to convert

    Returns:

      String with first char as lower

## cpl_core.pipes.first_to_upper_pipe module

class cpl_core.pipes.first_to_upper_pipe.FirstToUpperPipe

  Bases: `PipeABC`

  transform(value: str, *args)

    Converts first char to upper

    Parameter:
      chars: `str`

        String to convert

    Returns:

      String with first char as upper

## cpl_core.pipes.ip_address_pipe module

class cpl_core.pipes.ip_address_pipe.IPAddressPipe

  Bases: `PipeABC`

  transform(value: list[int], *args)

## cpl_core.pipes.pipe_abc module

class cpl_core.pipes.pipe_abc.PipeABC

  Bases: `ABC`

  abstract transform(value: any, *args)

## cpl_core.pipes.to_camel_case_pipe module

class cpl_core.pipes.to_camel_case_pipe.ToCamelCasePipe

  Bases: `PipeABC`

  transform(value: str, *args) → str

    Converts string to camel case

    Parameter:
      chars: `str`

        String to convert

    Returns:

      String converted to CamelCase

## cpl_core.pipes.to_snake_case_pipe module

class cpl_core.pipes.to_snake_case_pipe.ToSnakeCasePipe

  Bases: `PipeABC`

  transform(value: str, *args) → str

    Converts string to snake case

    Parameter:
      chars: `str`

        String to convert

    Returns:

      String converted to snake_case

## cpl_core.pipes.version_pipe module

class cpl_core.pipes.version_pipe.VersionPipe

  Bases: `PipeABC`

  transform(value: dict, *args)

## Module contents

### cpl-core CPL core

CPL core package

copyright:

  3. 2020 - 2023 sh-edraft.de

license:

  MIT, see LICENSE for more details.

class cpl_core.pipes.VersionInfo(major, minor, micro)

  Bases: `tuple`

  major

    Alias for field number 0

  micro

    Alias for field number 2

  minor

    Alias for field number 1